new_web/urls.py
from django.contrib import admin
from django.urls import path, include
from story6 import urls as story

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(story)),
]

story6/urls.py
from django.urls import path
from .views import index, profile

app_name = 'story6'
urlpatterns = [
    path('', index, name='index'),
    path('profile/', profile, name = 'profile'),
]

story6/models.py
from django.db import models

# Create your models here.
class Status (models.Model):
    name = models.CharField(max_length=20)
    status = models.CharField(max_length=300)
    time = models.DateTimeField(auto_now_add=True)

story6/forms.py
from django import forms

class Status_Form(forms.Form):
    error_message = {
        'required': 'Please fill in'
    }

    name_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder': 'Your Name'
    }
    stat_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder': "What's on your mind?"
    }

    name = forms.CharField(label='Name', required=True, max_length=50,
    widget=forms.TextInput(attrs=name_attrs))
    status = forms.CharField(label='Status', required=True, max_length=300,
    widget= forms.TextInput(attrs=stat_attrs))

story6/views.py
from django.shortcuts import render
from .forms import Status_Form
from .models import Status

# Create your views here.
response = {}
def index(request):
    response['status_form'] = Status_Form
    the_status = Status.objects.all()
    response['Status_Form'] = the_status

    form = Status_Form(request.POST or None)
    if(request.method == 'POST'  and form.is_valid()):
        response['name'] = request.POST['name'] if request.POST['name'] != "" else "Anonymous"
        response['status'] = request.POST['status']
    
        the_status = Status(name=response['name'], status=response['status'])
        the_status.save()
    
        return render(request, 'hello.html', response)
    else:
        return render(request, 'hello.html', response)

def profile(request):
    return render(request, 'profile.html')

story6/templates/hello.html
{% extends 'navbar.html'%}
{% load static %} <!-- load files from static folder-->

{% block content %}
<div class="container">
<h2>Hello, Apa Kabar?</h2>
</div>

<section name="input-status">
    <div class="container">
        <form class="form-group" id="form" method="POST" action="{% url 'story6:index' %}">
                <h4>Input your status here: </h4>
                <div >
                    {% csrf_token %}
                    {% for i in status_form %}
                        {{i.label_tag}}
                        <br>
                        {{ i }}
                    {% endfor %}
                </div>
                <button class="form-group" id="buttons" types="submit">Submit</button>
            </form>
    </div>
</section>

<section name="status">
    <div class="container">
        <div class="row">
            <table class="table">
                <thead>
                    <th>Name</th>
                    <th>Status</th>
                    <th>Time</th>
                </thead>
                <tbody>
                    {% for i in Status_Form %}
                    <tr>
                        <td> {{i.name}} </td>
                        <td> {{i.status}} </td>
                        <td> {{i.time}} </td>
                    </tr>             
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</section>

{% endblock content %}

story6/templates/navbar.html
{% load static %} <!-- load files from static folder-->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Little Journey</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" media="screen" href="{% static 'main.css' %}" />
</head>
<body>
    <header class="container">
        <div class="row text-center">
            <h1>Little Journey</h1>
        </div>
    </header>

    <nav class="container">
        <div class="row text-center">
            <div class="col">
                <a class="btn" id="button" href="../">Home</a>
                <a class="btn" id="button" href="../profile">Profile</a>
            </div>
        </div>
    </nav>

    <div class="container">
        {% block content %}{% endblock %}
    </div>

</body>
</html>

story6/templates/profile.html
{% extends 'navbar.html' %}
{% load static %} <!-- load files from static folder-->

{% block content %}

<div class="container" id="profile">
    <div class="row text-center">
        <img src="https://scontent.fcgk4-2.fna.fbcdn.net/v/t1.0-9/6879_1823849061175539_4264076232258924834_n.jpg?_nc_cat=103&oh=9e2f0fe197ce38cc2ab0f48919805292&oe=5C23187C">
    </div>
    <div class="row">
        <p>Yasmin Amalia. Born March 10, 1998. Indonesian by blood, Washingtonian by heart. Student by day, programmer by night.
            Books, sweets, and sunsets are my favorite ones.
        </p>
    </div>
</div>

{% endblock content %}